Generation Framework

## org.eclipse.gmf.gmfgraph
Interface ConstantColor

All Superinterfaces:
  Color, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ConstantColorImpl

    public interface ConstantColor

extends Color

A representation of the model object 'Constant Color'.

The following features are supported:

- `Value`

See Also:
  `GMFGraphPackage.getConstantColor()`
** Generated **
Model:

Method Summary
`ColorConstants` `getValue()` Returns the value of the 'Value' attribute.
`void` `setValue(ColorConstants value)` Sets the value of the '`Value`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getValue

    ColorConstants getValue()

  Returns the value of the 'Value' attribute. The literals are from the enumeration `ColorConstants`.

  If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `ColorConstants`, `setValue(ColorConstants)`, `GMFGraphPackage.getConstantColor_Value()`
  ** Generated **
  Model:
    required="true"

### setValue

    void setValue(ColorConstants value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `ColorConstants`, `getValue()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.